
/******************************************************************************
* MODULE     : complexify_meta.hpp
* DESCRIPTION: Categorial meta properties of complexifys
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_COMPLEXIFY_META_HPP
#define __MMX_COMPLEXIFY_META_HPP
#include "complexify.hpp"
#include "category_meta.hpp"
namespace mmx {
#define TMPL template<typename C>
#define Complexify complexify<C>
#define META_TMPL TMPL
#define META_TPNM typename
#define META_TYPE Complexify

#define META_COND has<C,ring_cat>
HAS_RING()
#undef META_COND

#define META_COND has<C,field_cat>
HAS_FIELD_ABOVE_RING()
#undef META_COND

#define META_COND has<C,elementary_cat>
HAS_ELEMENTARY()
#undef META_COND

#undef META_TYPE
#undef META_TPNM
#undef META_TMPL
#undef Complexify
#undef TMPL
}
#endif // __MMX_COMPLEXIFY_META_HPP
