
/******************************************************************************
* MODULE     : real.hpp
* DESCRIPTION: Certified real numbers
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_REAL_HPP
#define __MMX_REAL_HPP
#include "real_ball.hpp"
#include "certify.hpp"
namespace mmx {

typedef certify<real_ball> real;
typedef certify_rep<real_ball> real_rep;

}
#endif // __MMX_REAL_HPP
