
/******************************************************************************
* MODULE     : mmx_identifiers.hpp
* DESCRIPTION: Global definitions for common function names
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_IDENTIFIERS_HPP
#define __MMX_IDENTIFIERS_HPP
namespace mmx {
class string;

extern string MMX_BEGIN;
extern string MMX_BREAK;
extern string MMX_CASE;
extern string MMX_CONTINUE;
extern string MMX_ELSE;
extern string MMX_ERROR;
extern string MMX_EXISTS;
extern string MMX_FOR;
extern string MMX_FORALL;
extern string MMX_GENERATE;
extern string MMX_IF;
extern string MMX_IN;
extern string MMX_LAMBDA;
extern string MMX_LOOP;
extern string MMX_RETURN;
extern string MMX_STEP;
extern string MMX_UNTIL;
extern string MMX_WHILE;
extern string MMX_YIELD;

extern string MMX_DEFINE;
extern string MMX_ASSIGN;
extern string MMX_PLUS_ASSIGN;
extern string MMX_MINUS_ASSIGN;
extern string MMX_TIMES_ASSIGN;
extern string MMX_OVER_ASSIGN;
extern string MMX_LESSLESS;
extern string MMX_GTRGTR;
extern string MMX_IMPLIES;
extern string MMX_EQUIV;
extern string MMX_OR;
extern string MMX_SEQOR;
extern string MMX_XOR;
extern string MMX_AND;
extern string MMX_SEQAND;
extern string MMX_EQUAL;
extern string MMX_UNEQUAL;
extern string MMX_LESS;
extern string MMX_LESSEQ;
extern string MMX_GTR;
extern string MMX_GTREQ;
extern string MMX_HAS;
extern string MMX_TYPE;
extern string MMX_TRANSTYPE;
extern string MMX_INTO;
extern string MMX_MAPSTO;
extern string MMX_RANGE;
extern string MMX_RANGEEQ;
extern string MMX_PLUS;
extern string MMX_TIMES;
extern string MMX_OVER;
extern string MMX_DIV;
extern string MMX_MOD;
extern string MMX_COMPOSE;
extern string MMX_SIZE;
extern string MMX_NOT;
extern string MMX_MINUS;
extern string MMX_POWER;
extern string MMX_FACTORIAL;
extern string MMX_PRIME;
extern string MMX_DOT;
extern string MMX_APPLY;
extern string MMX_ACCESS;
extern string MMX_TUPLE;
extern string MMX_SQTUPLE;
extern string MMX_ROW;
extern string MMX_COMMA;
extern string MMX_SEMICOLON;
extern string MMX_WHERE;
extern string MMX_VWHERE;

extern string MMX_CATALAN;
extern string MMX_D;
extern string MMX_DELTA;
extern string MMX_E;
extern string MMX_EULER;
extern string MMX_FUZZ;
extern string MMX_I;
extern string MMX_INFINITY;
extern string MMX_NAN;
extern string MMX_PARTIAL;
extern string MMX_PI;

extern string MMX_HARD_EQ;
extern string MMX_HARD_NEQ;
extern string MMX_EQ;
extern string MMX_NEQ;
extern string MMX_MELT;
extern string MMX_FUSE;
extern string MMX_SQRT;
extern string MMX_EXP;
extern string MMX_LOG;
extern string MMX_COS;
extern string MMX_SIN;
extern string MMX_TAN;
extern string MMX_ARCCOS;
extern string MMX_ARCSIN;
extern string MMX_ARCTAN;
extern string MMX_MIN;
extern string MMX_MAX;
extern string MMX_ABS;
extern string MMX_ARG;
extern string MMX_RE;
extern string MMX_IM;
extern string MMX_CONJ;
extern string MMX_DERIVE;
extern string MMX_DERIVATIVE;
extern string MMX_GRAD;
extern string MMX_INTEGRATE;
extern string MMX_SUBSTITUTE;
extern string MMX_SOLVE;

} // namespace mmx
#endif // __MMX_IDENTIFIERS_HPP
