
/******************************************************************************
* MODULE     : mmx_double.hpp
* DESCRIPTION: Categorial meta properties of double point numbers
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __MMX_MMX_DOUBLE_HPP
#define __MMX_MMX_DOUBLE_HPP
#include "basix.hpp"
namespace mmx {

inline nat
hash (const double& x) {
  return *((nat*) ((void*) &x));
}

}
#endif // __MMX_MMX_DOUBLE_HPP
